From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-toolbox/
Date: Sun, 15 May 2022 11:10:16 +0000 (UTC) [thread overview]
Message-ID: <1652613012.ba9955ce998f5048eb7738bafa576d324d4a73b0.mgorny@gentoo> (raw)
commit: ba9955ce998f5048eb7738bafa576d324d4a73b0
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 15 11:03:59 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 15 11:10:12 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba9955ce
dev-python/pytest-toolbox: Enable py3.11
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../pytest-toolbox/pytest-toolbox-0.4-r1.ebuild | 21 ++++++++++++++++++---
1 file changed, 18 insertions(+), 3 deletions(-)
diff --git a/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild b/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild
index ce2e4fb6ecb3..d7caff404050 100644
--- a/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild
+++ b/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild
@@ -4,12 +4,15 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( pypy3 python3_{8..10} )
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
inherit distutils-r1
DESCRIPTION="Numerous useful plugins for pytest"
-HOMEPAGE="https://pypi.org/project/pytest-toolbox/ https://github.com/samuelcolvin/pytest-toolbox/"
+HOMEPAGE="
+ https://github.com/samuelcolvin/pytest-toolbox/
+ https://pypi.org/project/pytest-toolbox/
+"
SRC_URI="
https://github.com/samuelcolvin/pytest-toolbox/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
@@ -21,7 +24,10 @@ KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x
BDEPEND="
test? (
- dev-python/pydantic[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/pydantic[${PYTHON_USEDEP}]
+ ' pypy3 python3_{8..10} # TODO: python3_11
+ )
)
"
@@ -31,3 +37,12 @@ src_prepare() {
sed -e '/addopts/d' -i setup.cfg || die
distutils-r1_src_prepare
}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ if ! has_version "dev-python/pydantic[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_comparison.py::test_close_to_now_{false,true}
+ )
+ fi
+}
next reply other threads:[~2022-05-15 11:10 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-05-15 11:10 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-08-25 19:33 [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-toolbox/ Arthur Zamarin
2022-05-19 21:42 Michał Górny
2022-05-15 10:41 Michał Górny
2022-05-15 7:12 Michał Górny
2022-05-11 12:56 Jakov Smolić
2022-05-01 1:52 WANG Xuerui
2022-04-08 14:23 Arthur Zamarin
2022-04-08 14:23 Arthur Zamarin
2022-04-08 11:09 Michał Górny
2022-04-08 11:09 Michał Górny
2021-12-04 8:54 Arthur Zamarin
2021-11-24 23:59 Sam James
2021-11-19 2:43 Sam James
2021-11-18 10:50 Sam James
2021-11-18 10:39 Sam James
2021-11-18 9:09 Sam James
2021-11-13 21:09 Jakov Smolić
2021-11-13 19:50 Sam James
2021-11-13 12:51 Jakov Smolić
2021-10-10 20:43 Sam James
2021-10-10 20:38 Sam James
2021-10-10 2:20 Sam James
2021-10-10 0:09 Sam James
2021-09-15 5:12 Arthur Zamarin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1652613012.ba9955ce998f5048eb7738bafa576d324d4a73b0.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox